XTCONQ(6)

NAME
xtconq - Xt/Xaw-based configurable strategy game

SYNOPSIS
xtconq [ options ] ...

DESCRIPTION
xtconq is a configurable multi-player strategy game.

By default, xtconq starts up with one human (on the display in $DISPLAY) and one machine, playing on a randomly generated 60x30 world. Options are available to set numbers and kinds of players, as well as the kind of map used. In addition, xtconq has extensive and elaborate facilities for building maps, scenarios, and sets of rules, allowing for a wide variety of games.

NOTE: xtconq is no longer under active development. It is available for backwards compatibility, and to play multiplayer games when the new networking code in xconq has problems.

OPTIONS

The following options are X-specific:

-bg bgcolor
    sets the background color of the windows.

-display display
    sets the display to be used by the default player.

-fg fgcolor
    sets the foreground color of the windows.

-geometry geometry
    sets the geometry of the first window.

-name name
    sets the name of the application.

-x  allows the game and the players to be set up interactively via menus. The menus should be self-explanatory.

The following options are generic, and may be used with any version of Xconq that allows command-line arguments:

xconq joe@taurus:0.0 cirdan:0.0
    Three players in standard game.

xconq -r -e,ai+3 2 stan@andros:0.0 dhw@skaro:0.0
    Standard game, two mplayers each at advantage 3, two humans, using displays on andros and skaro.

X DEFAULTS

TextFont
    Font for all text.

HelpFont
    Font for the help pages.

AUTHOR
Stan Shebs (shebs@cygnus.com) (with help from many)

FILES

~/.xconq/save.xconq
    saved game

/usr/local/share/xconq/lib/game.dir
    list of playable games

/usr/local/share/xconq/lib/*.g
    predefined games

/usr/local/share/xconq/lib/imf.dir
    list of predefined images

/usr/local/share/xconq/lib/*.imf
    predefined images

/usr/local/share/xconq/lib/news.txt
    news about features and additions

Xconq
    Xconq application defaults

Xconq-color
    Xconq application defaults for color displays

SEE ALSO
xconq(6),cconq(6)
Xconq - the School for Strategy

DIAGNOSTICS

If the world is too small for the desired number of players, the program will complain about not being able to place units in good locations.

BUGS

Specifying multiple games on the command line is usually asking for trouble.

Some annoying behaviors are actually features.

All of the displays must still be decided when starting the program. Players should be able to run helper programs that connect them up and pass along display, display settings, and so forth.